<template>
  <div class="fund-me-section" :class="{'mobile': isMobile(), 'p-top-60': !isMobile()}">
    <div class="main">
      <div class="wrap-subtitle">
        <div>
          <h3 class="sub-title">Introducing a new project</h3>
        </div>
        <div class="right">
          <span>View all</span>
        </div>
      </div>
      <carousel :margin="isMobile() ? 30 : 20" :dots="false" :nav="false"
                :responsive="{
                  0:{items:2},576:{items:3},768:{items:4},1200:{items:6},1500:{items:8}
                }"
                @changed="syncArrow('productNext', 'productPrev', productArrow)">
        <template slot="prev"><span class="product-prev" ref="productNext">prev</span></template>
        <template slot="next"><span class="product-next" ref="productPrev">next</span></template>
        <div class="product-item" v-for="(it, ind) in items" :key="ind" @click="goFundDetail">
          <div class="wrap-image square">
            <img :src="it.photo">
          </div>
          <span class="title" style="color: #121212; font-size: 1.1em">{{ it.title }}</span>
          <span class="des" style="color: #121212">{{ it.description }}</span>
        </div>
      </carousel>
      <br/> <br/>
      <div class="wrap-subtitle">
        <div>
          <h3 class="sub-title">Ongoing Projects</h3>

        </div>
        <div class="right">
          <span>View all</span>
        </div>
      </div>
      <carousel :margin="isMobile() ? 30 : 20" :dots="false" :nav="false"
                :responsive="{
                  0:{items:2},576:{items:3},768:{items:4},1200:{items:6},1500:{items:8}
                }"
                @changed="syncArrow('productNext', 'productPrev', productArrow)">
        <template slot="prev"><span class="product-prev" ref="productNext">prev</span></template>
        <template slot="next"><span class="product-next" ref="productPrev">next</span></template>
        <div class="product-item" v-for="(it, ind) in items" :key="ind" @click="goFundDetailOn">
          <div class="wrap-image square">
            <img :src="it.photo">
          </div>
          <span class="des" style="color: #121212">{{ it.code }}</span>
          <span class="title" style="color: #121212; font-size: 1.1em">{{ it.title }}</span>
          <span class="des" style="color: #121212">{{ it.description }}</span>
          <a-progress :percent="50" size="small" status="active"/>
        </div>
      </carousel>
    </div>
  </div>
</template>

<style scoped>
@import "../css/default.css";

.slide-item {
  position: relative;
}

.slide-item:hover img {
  opacity: 0.7;
}

.wrap-image img {
  opacity: 0.99;
  border-radius: 10px;
}

.slide-item .title .des {
  position: absolute;
  width: 100%;
  bottom: 0;
  font-size: 5px;
  padding: 10px;
  font-weight: 400;
}

.product-item {
  cursor: pointer;
  background: #efefef;
  padding: 10px;
  border-radius: 3px;
}

.product-item:hover img {
  opacity: 0.7;
}

.product-item .title .des {
  font-size: 5px;
  text-transform: uppercase;
  padding: 5px 0;
  font-weight: 400;
  color: #121212;
}

.category-prev, .category-next, .product-prev, .product-next {
  position: absolute;
  z-index: -1;
}
.product-item .des,
.product-item .title {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  overflow: hidden;
}

/* Mobile Style */
.mobile {
  padding-bottom: 60px;
}
.mobile .wrap-subtitle {
  margin-bottom: 14px;
}
.mobile .sub-title {
  font-size: 16px;
  text-align: center;
  letter-spacing: -0.24px;
  color: #F1F1F1;
  font-weight: normal;
}
.mobile .product-item {
  padding: 0;
  border-radius: 0;
  background: #fff0;
}
.mobile .product-item br {
  display: none;
}
.mobile .product-item .wrap-image {
  margin-bottom: 8px;
}
.mobile .product-item .wrap-image img {
  border-radius: 0;
}
.mobile .product-item .des,
.mobile .product-item .title {
  color: #F1F1F1 !important;
}
.mobile .product-item .title {
  font-weight: 500;
  font-size: 12px;
}
</style>

<script>
import carousel from 'vue-owl-carousel'

const data = [
  {
    code: "D-19",
    title: "MVP 2nd mini Album",
    description: "My new our project are looking forward to some investors My new our project are looking forward to some investors My new our project are looking forward to some investors",
    photo: "photo-album.jpg"
  },
  {
    code: "D-19",
    title: "MVP 2nd mini Album",
    description: "My new our project are looking forward to some investors",
    photo: "photo-album.jpg"
  },
  {
    code: "D-19",
    title: "MVP 2nd mini Album",
    description: "My new our project are looking forward to some investors",
    photo: "photo-album.jpg"
  },
  {
    code: "D-19",
    title: "MVP 2nd mini Album",
    description: "My new our project are looking forward to some investors",
    photo: "photo-album.jpg"
  },
  {
    code: "D-19",
    title: "MVP 2nd mini Album",
    description: "My new our project are looking forward to some investors",
    photo: "photo-album.jpg"
  },
  {
    code: "D-19",
    title: "MVP 2nd mini Album",
    description: "My new our project are looking forward to some investors",
    photo: "photo-album.jpg"
  },
  {
    code: "D-19",
    title: "MVP 2nd mini Album",
    description: "My new our project are looking forward to some investors",
    photo: "photo-album.jpg"
  },
  {
    code: "D-19",
    title: "MVP 2nd mini Album",
    description: "My new our project are looking forward to some investors",
    photo: "photo-album.jpg"
  },
  {
    code: "D-19",
    title: "MVP 2nd mini Album",
    description: "My new our project are looking forward to some investors",
    photo: "photo-album.jpg"
  },
  {
    code: "D-19",
    title: "MVP 2nd mini Album",
    description: "My new our project are looking forward to some investors",
    photo: "photo-album.jpg"
  }
]


export default {
  components: {carousel},
  data() {
    return {
      items: data,
      title: 'Shopping',
      categoryArrow: {
        prev: true,
        next: true,
      },
      productArrow: {
        prev: true,
        next: true,
      }
    }
  },
  methods: {
    isMobile() {
      if (
          /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(
              navigator.userAgent
          )
      ) {
        return true;
      } else {
        return false;
      }
    },
    syncArrow(prev, next, arrowObject) {
      const me = this;
      setTimeout(function () {
        const prevParent = me.$refs[prev] && me.$refs[prev].parentNode;
        const nextParent = me.$refs[next] && me.$refs[next].parentNode;
        if (prevParent) {
          arrowObject.prev = prevParent.style.display !== 'none';
        }
        if (nextParent) {
          arrowObject.next = nextParent.style.display !== 'none';
        }
      }, 200)
    },
    triggerClick(ref) {
      this.$refs[ref].click();
    },
    goFundDetail() {
      this.$router.push("/funddetail")
    },
    goFundDetailOn() {
      this.$router.push("/funddetail-ongoing")
    }
  }
}
</script>
